/**********************************************************************/
/*                                                                    */
/* Licensed Materials - Property of IBM                               */
/* 5698-A35                                                           */
/*  Copyright IBM Corporation 1999, 2010                             */
/*  Copyright Candle Corporation 1999, 2004.  All rights reserved.   */
/*                                                                    */
/* US Government Users Restricted Rights - Use, duplication, or       */
/* disclosure restricted by GSA ADP schedule contract with IBM Corp.  */
/*                                                                    */
/**********************************************************************/
/* ------------------------------------------------------------------ */
/*  Name:    kn3.sql                                                  */
/*  Purpose: kn3.sql product provided situation inserts               */
/* ------------------------------------------------------------------ */
/*  Date        | User  | Description                                 */
/* ------------------------------------------------------------------ */
/*  2002/02/20  | CMIKS | Created                                     */
/*  2002/02/25  | CMIKS | Added template statuses for situations not  */
/*              |       | associated with leafnode workspaces (e.g.,  */
/*              |       | summary workspaces)                         */
/*  2002/03/20  | CMIKS | Added distributions                         */
/*  2002/03/20  | CMIKS | Expert Advice via $PARM                     */
/*  2002/05/01  | MGOUV | $PARM expert advise for                     */
/*                        N3T_Device_Status_Active                    */
/*  2002/05/14  | RSMIT | Changed attribute names to 1st char caps    */
/*  2003/04/14  | TEHRL | Added OSA situations                        */
/*  2003/12/09  | MGOUV | N3 V100 OSA Situations                      */
/*  2004/10/18  | MGOUV | Change in situation affinities              */
/*  2004/11/16  | AYOUN | Additional situations for NMI data          */
/*  2005/02/04  | AYOUN | Changes for TCN table split up              */
/*  2005/03/11  | AYOUN | Additional situations for Stack Layer       */
/*  2005/06/13  | AYOUN | Change Pct_TCP_OO_Segs to use percent       */
/*  2005/07/11  | MGOUV | Add sits for VTAM Address Space workspace   */
/*  2005/12/03  | MGOUV | Add sits for VTAM Buffer Pool workspaces    */
/*  2006/02/01  | OCB   | Exploit z/OS NMI FTP enhancements           */
/*  2006/03/13  | OCB   | D24711 - Adjust situation N3T_FTPT_NetError */
/*              |       | so it does not fire when client aborts      */
/*              |       | transfer (last reply to client = 426).      */
/*              |       | Situation N3T_FTPS_NetError was also        */
/*              |       | adjusted so that it does not fire for a     */
/*              |       | session end code of 10.                     */
/*  FLG=REASON  ,RELEASE,DATE  ,USER : DESCRIPTION                    */              
/*  --- -------- ------- ------ -----  ------------------------------ */
/*  @01=DCR41   ,HKN3410,032906,MGOUV: Version V410 situations        */
/*  @02=DCR41   ,HKN3410,050206,MGOUV: More Version changes           */
/*  @03=D32858  ,HKN3410,072506,MGOUV: Lodge error in Device sits     */
/*  @04=D53101  ,HKN3410,082907,OBRAB: Use CHANGE function in IPSec   */
/*                                     sits                           */
/*  @05=OSAIII  ,HKN3410,011608,MGOUV: OSA Express3 support           */
/*  @06=68881   ,HKN3410,032608,DBUTL: Add SITINFO value SEV=...      */
/*  @07=621INTG ,HKN3420,010809,MGOUV: DCR 97 and Eliminate Hub TEMS  */
/*                                     recycles (seed)                */
/*  @08=D113781 ,HKN3421,090309,MGOUV: Sit seeding problem on xLinux  */
/*  @09=D115310 ,HKN3421,100209,OBRAB: Sample sits to trigger NetView */
/*                                     automation                     */
/*  @0A=RTC6369 ,HKN3423,032310,MPATT: GUI Enhancements               */
/*  @0B=RTC7788B,HKN3423,042010,MPATT: TCP GUI enhancements           */
/*  @0C=RTC8542 ,HKN3423,050410,MPATT: IFR/IFW GUI Enhancements       */
/*  @0D=RTC8542 ,HKN3423,051810,MPATT: IFR/IFW GUI Enhancements       */
/*  @0E=RTC9497 ,HKN3423,060910,MPATT: IFS GUI enhancements           */
/*  @0F=RTC9497B,HKN3423,061710,MPATT: Rename situation               */
/*  @0G=F133307 ,HKN3423,062210,MPATT: Globalization                  */
/* ------------------------------------------------------------------ */

$PARMS("The number of connection requests for this application rejected
because the backlog limit was exceeded. Acceptable levels can be determi
ned in relation to service level requirements. Backlog connections rejec
ted can affect application availability and lead to violations of servic
e level agreements. This could be due to too many connections arriving o
r because the application stops accepting connections. Increasing the ba
cklog limit and load balancing are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Backlog_Conns_Rejected",?,"000000000000000000000
0002000000000000000000","","NNN","*NO","*NONE","","","","","","104111123
2525000","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Applications.Ba
cklog_Connections_Rejected *GE 3","","5140","E","0","001500","","","*NON
E","SEV=Warning","","Application backlog connections rejected");

$PARMS("The sum of the throughput rate for all connections to the applic
ation over the last sample interval, given in bytes per minute. Determin
e a threshold value by observing history to obtain a working baseline. T
hroughput significantly in excess of the established baseline indicates
an increase in application workload and can signify an impending perform
ance problem. Load balancing and work rescheduling are possible solution
s.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Byte_Rate",?,"0000000000000000000000002000000000
000000000","","NNN","*NO","*NONE","","","","","","1041110130802000","V42
0","SYSADMIN","","","","","*IF  *VALUE TCPIP_Applications.Byte_Rate *GE
1000000","","5140","E","0","001500","","","*NONE","SEV=Warning","","Appl
ication throughput/byte rate per minute.");

$PARMS("The sum of the connections that are waiting to be accepted by th
e application. Determine a threshold value by observing history to obtai
n a working baseline. A number of connections in backlog significantly i
n excess of the established baseline indicates an increase in applicatio
n workload and can signify an impending performance problem. Load balanc
ing and work rescheduling are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Connections_in_Backlog",?,"000000000000000000000
0002000000000000000000","","NNN","*NO","*NONE","","","","","","104111123
2544000","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Applications.Co
nnections_in_Backlog *GE 10","","5140","E","0","001500","","","*NONE","S
EV=Warning","","Application connections in backlog");

$PARMS("The sum of the datagram rate for all connections to the applicat
ion over the last sample interval given in datagrams per minute. Determi
ne a threshold value by observing history to obtain a working baseline.
A datagram rate significantly in excess of the established baseline indi
cates an increase in application workload and can signify an impending p
erformance problem. Load balancing (giving a higher priority to this app
lication), application tuning, and work rescheduling are possible soluti
ons.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Datagram_Rate",?,"000000000000000000000000200000
0000000000000","","NNN","*NO","*NONE","","","","","","1041110130802000",
"V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Applications.Datagram_R
ate *GE 500","","5140","E","0","001500","","","*NONE","SEV=Warning","","
Application datagram rate per minute.");

$PARMS("The idle time since the application last accepted a connection i
s greater than the defined time threshold, and there are connections in
the backlog queue. The probable cause of the z/OS application being unab
le to complete its workload is a server application problem or a server
system resource constraint. Use the z/OS Resource Measurement Facility t
o evaluate workload delay metrics (such as CPU or I/O) for the server ad
dress space to determine if possible system resource constraints exist."
);
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Not_Accepting_Conn",?,"0000000000000000000000002
000000000000000000","","NNN","*NO","*NONE","","","","","","1041114200525
000","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Applications.Conne
ctions_in_Backlog *GT 0 *AND  *VALUE TCPIP_Applications.Idle_Time_Since_
Last_Accept *GE 0.02","","5140","E","0","001500","","","*NONE","SEV=Warn
ing","","Application not accepting connections");

$PARMS("The percentage of inbound datagrams discarded for all connection
s to the application over the last sample interval. Determine a threshol
d value by observing history to obtain a working baseline. A percentage
of datagrams discarded much higher than the established baseline indicat
es an increase in application workload and might signify an impending pe
rformance problem. Removing the UDP queue limit, load balancing, and wor
k rescheduling are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Pct_Datagrams_Discd",?,"000000000000000000000000
2000000000000000000","","NNN","*NO","*NONE","","","","","","104111123260
8000","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Applications.Pct_D
atagrams_Discarded *GE 3","","5140","E","0","001500","","","*NONE","SEV=
Warning","","Application percent datagrams discarded");

$PARMS("The percentage of the segments received out of order for all con
nections to the application over the last sample interval. Only TCP segm
ents can be received out of order. Acceptable levels can be determined i
n relation to service level requirements. Out-of-order segments can affe
ct user response times and lead to violations of service level agreement
s. Check for congestion in the network, locate the source IP address of
the sending application, and perform network diagnostic tests to solve t
his situation.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Pct_OO_Segments",?,"0000000000000000000000002000
000000000000000","","NNN","*NO","*NONE","","","","","","1041111232631000
","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Applications.Pct_Out_o
f_Order_Segments *GE 15","","5140","E","0","001500","","","*NONE","SEV=W
arning","","Application percent out-of-order segments");

$PARMS("The percentage of the segment retransmissions for all connection
s to the application over the last sample interval. Only TCP transmissio
ns can result in retransmissions. Acceptable levels can only be determin
ed in relation to service level requirements. Retransmissions can affect
 user response times and lead to violations of service level agreements.
 Check for congestion in the network, locate the source IP address of th
e sending application, and perform network diagnostic tests to solve thi
s situation.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Pct_Segs_Rexmit",?,"0000000000000000000000002000
000000000000000","","NNN","*NO","*NONE","","","","","","1041114170625000
","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Applications.Retransmi
ts_Percentage *GE 3","","5140","E","0","001500","","","*NONE","SEV=Warni
ng","","Application percent segments retransmitted");

$PARMS("Requests for new connections are not satisfied by this applicati
on because the connection backlog limit has been exceeded. A server appl
ication workload spike or a server system resource constraint likely cau
sed the z/OS application to be unable to complete the workload. Either i
ncrease the server application backlog queue limit, create an additional
 instance of the application server, or use the z/OS Resource Measuremen
t Facility to evaluate workload delay.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Reject_Conn",?,"00000000000000000000000020000000
00000000000","","NNN","*NO","*NONE","","","","","","1041114200133000","V
420","SYSADMIN","","","","","*IF *VALUE TCP_Listener.Conn_High_Water_Mar
k_Percentage *GE 80 *AND  *VALUE TCP_Listener.Conn_High_Water_Mark_Perce
ntage *LE 90 *AND  *VALUE TCP_Listener.Backlog_Connections_Rejected *GT
0","","5140","E","0","001500","","","*NONE","SEV=Warning","","Applicatio
n rejecting connections");

$PARMS("Requests for new connections are not satisfied by this applicati
on because the connection backlog limit has been exceeded. The number of
 currently active connections is not a high percentage of the high water
 mark, indicating no spike in application workload. Constrained applicat
ion system resources are likely causing the z/OS application to be unabl
e to complete the workload. Increase the application backlog queue limit
, or use z/OS Resource Measurement Facility to evaluate workload.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Reject_Conn_Resource",?,"00000000000000000000000
02000000000000000000","","NNN","*NO","*NONE","","","","","","10411141956
22000","V420","SYSADMIN","","","","","*IF *VALUE TCP_Listener.Conn_High_
Water_Mark_Percentage *LE 80 *AND  *VALUE TCP_Listener.Backlog_Connectio
ns_Rejected *GT 0","","5140","E","0","001500","","","*NONE","SEV=Warning
","","Application rejecting connections, possibly resource contraints");

$PARMS("Requests for new connections are not satisfied by this applicati
on because the connection backlog limit has been exceeded. Also, the num
ber of currently active connections is a high percentage of the high wat
er mark for the number of currently active connections, indicating a spi
ke in application workload. An application workload spike likely prevent
ed the z/OS application from completing the workload. Increase the appli
cation backlog queue limit or create an additional instance of the appli
cation.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Reject_Conn_WorkSpike",?,"0000000000000000000000
002000000000000000000","","NNN","*NO","*NONE","","","","","","1041114195
734000","V420","SYSADMIN","","","","","*IF *VALUE TCP_Listener.Conn_High
_Water_Mark_Percentage *GE 90 *AND  *VALUE TCP_Listener.Backlog_Connecti
ons_Rejected *GT 0","","5140","E","0","001500","","","*NONE","SEV=Warnin
g","","Application rejecting connections, possibly workload spike");

$PARMS("The sum of the retransmissions for all connections to the applic
ation over the last sample interval. Only TCP transmissions can result i
n retransmissions. Acceptable levels can be determined in relation to se
rvice level requirements. Retransmissions can effect user response times
 and lead to violations of service level agreements. Check for congestio
n in the network, locate the source IP address of the sending applicatio
n, and perform network diagnostic tests to solve this situation.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_Retransmission_Count",?,"00000000000000000000000
02000000000000000000","","NNN","*NO","*NONE","","","","","","10411101308
03000","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Applications.Ret
ransmits_Last_Sample *GE 10","","5140","E","0","001500","","","*NONE","S
EV=Warning","","Application retransmission count.");

$PARMS("This example situation demonstrates how to create a byte rate si
tuation for a particular application, in this case, FTPD1. Application t
hroughput in bytes per minute is the sum of the throughputs for all conn
ections over the sample interval. To obtain a threshold for a particular
 application, determine a value by observing history. Samples much highe
r than the established baseline indicate an increase in application work
load and can signify an impending performance problem.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Appl_FTPD1_Rate",?,"000000000000000000000000200000000
0000000000","","NNN","*NO","*NONE","","","","","","1041110130803000","V4
20","SYSADMIN","","","","","*IF  *VALUE TCPIP_Applications.Application_N
ame *EQ FTPD1 *AND  *VALUE TCPIP_Applications.Byte_Rate *GE 100000","","
5140","E","0","001500","","","*NONE","SEV=Warning","","Example of a situ
ation created for a particular application.");

$PARMS("The number of requests for new connections that were not connect
ed by this listener because the connection backlog limit has been exceed
ed during the last sample interval. Acceptable levels can be determined
in relation to service level requirements. Backlog connections rejected
can effect application availability and lead to violations of service le
vel agreements. Increasing server application backlog queue limits, load
 balancing, and work rescheduling are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Backlog_Conns_Rejected",?,"000000000000000000000
0002000000000000000000","","NNN","*NO","*NONE","","","","","","104111123
4957000","V420","SYSADMIN","","","","","*IF *VALUE TCP_Listener.Backlog_
Connections_Rejected *GE 3","","5140","E","0","001500","","","*NONE","SE
V=Warning","","Backlog connections rejected");

$PARMS("The average number of bytes per minute transmitted over this con
nection during the last sampling interval. The connection throughput rat
e is given in bytes per minute. Dividing the total current byte count fo
r this interval by the sample interval size derives the rate. Normal or
excessive rates can only be determined in relation to established baseli
nes and service level requirements.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Byte_Rate",?,"0000000000000000000000002000000000
000000000","","NNN","*NO","*NONE","","","","","","1041110130807000","V42
0","SYSADMIN","","","","","*IF  *VALUE TCPIP_Connections.Byte_Rate *GE 7
50000","","5140","E","0","001500","","","*NONE","SEV=Warning","","Connec
tion throughput/byte rate per minute.");

$PARMS("The total number of connections that are waiting to be accepted
by the application. What is judged normal or excessive can only be deter
mined in relation to established baselines and service level requirement
s. Load balancing and work rescheduling are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Connections_in_Backlog",?,"000000000000000000000
0002000000000000000000","","NNN","*NO","*NONE","","","","","","104111123
4923000","V420","SYSADMIN","","","","","*IF *VALUE TCP_Listener.Connecti
ons_in_Backlog *GE 10","","5140","E","0","001500","","","*NONE","SEV=War
ning","","Connection in backlog");

$PARMS("The total number of retransmitted segments for the current inter
val. Retransmissions occur when a TCP segment is sent but is not acknowl
edged by the receiving host within a specified timeout period. Possible
causes of timeouts are hardware errors and congested servers.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Current_Retransmits",?,"000000000000000000000000
2000000000000000000","","NNN","*NO","*NONE","","","","","","104111013080
7000","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Connections.Retra
nsmits_Last_Sample *GE 5","","5140","E","0","001500","","","*NONE","SEV=
Warning","","Connection retransmission count.");

$PARMS("The average number of datagrams, per minute, transmitted over th
is connection during the last sampling interval. This is given in datagr
ams per minute and is derived by dividing total datagrams for the sampli
ng interval by the size of the interval derives the rate. A normal or ex
cessive rate can only be determined in relation to established baselines
 and service level requirements.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Datagram_Rate",?,"000000000000000000000000200000
0000000000000","","NNN","*NO","*NONE","","","","","","1041110130807000",
"V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Connections.Datagram_Ra
te *GE 1000","","5140","E","0","001500","","","*NONE","SEV=Warning","","
Connection datagram rate per minute.");

$PARMS("The percentage of datagrams discarded compared to the number of
datagrams received during the last sample interval. Inbound datagrams ar
e discarded because queue limits were exceeded. Removing UDP queue limit
s, load balancing, and work rescheduling are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Pct_Datagrams_Discd",?,"000000000000000000000000
2000000000000000000","","NNN","*NO","*NONE","","","","","","104111123484
1000","V420","SYSADMIN","","","","","*IF *VALUE UDP_Connections.Pct_Data
gram_Discarded *GE 3","","5140","E","0","001500","","","*NONE","SEV=Warn
ing","","Connection percent datagrams discarded");

$PARMS("The percentage of segments received out of order compared to the
 number of segments received during the last sample interval. Only TCP s
egments can be received out of order. Acceptable levels can be determine
d in relation to service level requirements. Out-of-order segments can a
ffect user response times and lead to violations of service level agreem
ents. Check for congestion in the network and perform network diagnostic
 tests to solve this situation.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Pct_OO_Segments",?,"0000000000000000000000002000
000000000000000","","NNN","*NO","*NONE","","","","","","1041111234251000
","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Details.Pct_Out_of_Ord
er_Segments *GE 15","","5140","E","0","001500","","","*NONE","SEV=Warnin
g","","Connection percent out-of-order segments");

$PARMS("The percentage of the segment retransmissions compared to the nu
mber of segments sent during the last sample interval. Retransmissions o
ccur when a TCP segment is sent but is not acknowledged by the receiving
 host within a specified time out period. Possible causes of timeouts ar
e hardware errors and congested servers.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Pct_Segs_Rexmit",?,"0000000000000000000000002000
000000000000000","","NNN","*NO","*NONE","","","","","","1041111234854000
","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Connections.Retransmit
_Percentage *GE 3","","5140","E","0","001500","","","*NONE","SEV=Warning
","","Connection percent segments retransmitted");

$PARMS("The response time for the last TCP segment transmitted on the co
nnection. It is the elapsed time, in tenths of a second, starting when t
he segment was sent and ending when the acknowledgment was received. Rou
nd trip time is not end-to-end response time since it does not account f
or application time. However in conjunction with the round trip variance
, it is a good indication of the general health of the route.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Rnd_Trip_Time",?,"000000000000000000000000200000
0000000000000","","NNN","*NO","*NONE","","","","","","1041110130807000",
"V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Connections.Round_Trip_
Time *GE 5","","5140","E","0","001500","","","*NONE","SEV=Critical","","
Connection round trip time.");

$PARMS("The statistical variance of round trip times since the connectio
n was established. Round trip variance helps to determine the accuracy o
f the reported round trip time value. A small variance suggests accuracy
 of the current round trip time as an average. A high variance suggests
that the current round trip time might not represent the average. A norm
al variance can be determined by baselines and service level requirement
s. Check for congestion in the network and perform network diagnostic te
sts.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Conn_Rnd_Trip_Variance",?,"00000000000000000000000020
00000000000000000","","NNN","*NO","*NONE","","","","","","10411101308080
00","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Connections.Round_Tr
ip_Variance *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warning
","","Connection round trip time statistical variance.");

$PARMS("The total number of TCP/IP connections, listeners, and UDP end p
oints at the end of the last sampling interval. This includes connection
s that are in an established or a listening state. Determine a value for
 connection count by observing history to obtain a working baseline. A c
ount significantly in excess of the established baseline indicates a cha
nge in network workload and can signify an impending performance problem
. Load balancing is a possible solution.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Connection_Count",?,"00000000000000000000000020000000
00000000000","","NNN","*NO","*NONE","","","","","","1041110130808000","V
420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Connection_
Count *GE 5000","","5140","E","0","001500","","","*NONE","SEV=Warning","
","TCPIP connection count.");

$PARMS("The percentage of CPU being used by TCP. High CPU usage is frequ
ently accompanied by a high throughput rate. Determine if the throughput
 rate is excessive. Isolate the source of the high throughput by examini
ng application throughput rates. Look for a high byte rate on a connecti
on to isolate the sorce to individual connections. Applications can be l
oad balanced across multiple OS images, connections can be terminated, w
ork can be scheduled for non-peak hours, and capacity can be added.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_CPU_Pct_Critical",?,"00000000000000000000000020000000
00000000000","","NNN","*NO","*NONE","","","","","","1020227115703000","V
420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.CPU_Percent
age *GE 10","","5140","E","0","001500","","","*NONE","SEV=Critical","","
CPU percentage in use for TCPIP address space.");

$PARMS("The percentage of CPU being used by TCP. High CPU usage is frequ
ently accompanied by a high throughput rate. Determine if the throughput
 rate is excessive. Isolate the source of the high throughput by examini
ng application throughput rates. Look for a high byte rate on a connecti
on to isolate the sorce to individual connections. Applications can be l
oad balanced across multiple OS images, connections can be terminated, w
ork can be scheduled for non-peak hours, and capacity can be added.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_CPU_Pct_Warning",?,"000000000000000000000000200000000
0000000000","","NNN","*NO","*NONE","","","","","","1041110130807000","V4
20","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.CPU_Percenta
ge *GE 5 *AND  *VALUE TCPIP_Address_Space.CPU_Percentage *LT 10","","514
0","E","0","001500","","","*NONE","SEV=Warning","","CPU percentage in us
e for TCPIP address space.");

$PARMS("The percentage of CSA usage below 16 megabytes. The TCP/IP addre
ss space uses a nominal amount of CSA below the 16MB line. Determine a t
hreshold value by observing history to obtain a working baseline. A perc
entage of CSA much higher than the established baseline indicates an inc
rease in workload and might signify an impending performance problem. Us
e the diagnostic procedures outlined in the IBM IP Diagnosis Guide to ta
ke corrective action.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_CSA_Pct_Below_16MB",?,"000000000000000000000000200000
0000000000000","","NNN","*NO","*NONE","","","","","","1041110130807000",
"V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.CSA_Perce
nt_Below_16MB *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warni
ng","","Percent of CSA in use by the TCPIP address space below 16MB.");

$PARMS("The status of the network device. It indicates whether or not th
e device is operational. A device status of Active indicates that the de
vice has been started but initialization has yet to complete. To provide
 this status, TCP/IP devices are tested for a value of up.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Device_Status_Active",?,"0000000000000000000000002000
000000000000000","","NNY","*NO","*NONE","","","","","","1060717070201000
","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Devices.Device_Status
 *EQ up","","5140","E","0","001500","","","*NONE","SEV=Warning","","Devi
ce status active.");

$PARMS("The status of the network device. It indicates whether or not th
e device is operational. A device status of Inactive indicates that the
device has not been started or that it has been successfully deactivated
 or stopped. To provide this status, TCP/IP devices are tested for a val
ue of down.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Device_Status_Inactive",?,"00000000000000000000000020
00000000000000000","","NNY","*NO","*NONE","","","","","","10607170702010
00","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Devices.Device_Stat
us *EQ down","","5140","E","0","001500","","","*NONE","SEV=Warning","","
Device status inactive.");

$PARMS("The percentage of ECSA storage that is currently allocated compa
red to the maximum ECSA storage that is allowed. Determine a threshold v
alue by observing history to obtain a working baseline. A percentage of
ECSA allocated storage significantly in excess of the established baseli
ne indicates an increase in workload and possibly an impending performan
ce problem. Increasing the maximum ECSA storage allowed, load balancing,
 and work rescheduling are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_Pct_ECSA_Allocated_Stg",?,"00000000000000000000000040
00000000000000000","","NNN","*NO","*NONE","","","","","","10411112331270
00","V420","SYSADMIN","","","","","*IF *VALUE CSM_Storage.Pct_ESCA_Alloc
ated *GE 80","","5140","E","0","001500","","","*NONE","SEV=Warning","","
Percent ECSA allocated storage");

$PARMS("The percentage of the HPR network layer packets retransmitted co
mpared to the number of packets sent over this EE connection during the
last sample interval. Retransmissions occur when a HPR packet is sent bu
t is not acknowledged by the receiving host within a specified timeout p
eriod. Some possible causes of timeouts are hardware errors and congeste
d servers.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_EE_Pct_Packets_Rexmit",?,"000000000000000000000000400
0000000000000000","","NNN","*NO","*NONE","","","","","","104111419400600
0","V420","SYSADMIN","","","","","*IF *VALUE EE_Connections.Percent_Pack
ets_Retransmitted *GE 5","","5140","E","0","001500","","","*NONE","COUNT
=2;SEV=Warning","","EE Percent Packets Retransmitted");

$PARMS("The total number of IP output segments requiring fragmentation t
hat could not be fragmented, divided by the total number of IP segments
requiring fragmentation. Fragmentation failure is caused when the no fra
g bit is set in the segment. If fragmentation failure is excessive, isol
ate the source of the segments with the no frag bit set using diagnostic
 procedures outlined in the IBM IP Diagnosis Guide and take corrective a
ction.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Fragmentation_Failure_Pct",?,"00000000000000000000000
02000000000000000000","","NNN","*NO","*NONE","","","","","","10411101308
08000","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Fr
agmentation_Failure_Percentage *GE 5","","5140","E","0","001500","","","
*NONE","SEV=Warning","","Fragmentation failure percentage.");

$PARMS("The total number of IP segments fragmented for delivery to anoth
er host, divided by the total number of IP output segments minus the num
ber of IP segments forwarded and discarded. Fragmentation allows deliver
y of a message through intermediate hosts that do not accept larger segm
ent sizes. Excessive fragmentation can indicate a network configuration
problem. Isolate the cause of the problem using diagnostic procedures ou
tlined in the IBM IP Diagnosis Guide.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Fragmentation_Pct",?,"0000000000000000000000002000000
000000000000","","NNN","*NO","*NONE","","","","","","1041110130808000","
V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Fragmentat
ion_Percentage *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warn
ing","","Fragmentation percentage.");

$PARMS("A high number of out-of-sequence buffers indicates high CPU util
ization of the remote z/OS Communications Server address space. This is
probably due to network congestion or constrained CPU in the remote z/OS
 Communications Server address space. To solve, validate the router conf
iguration parameters, confirm that CPU utilization is high for the remot
e system z/OS Communications Server address space, and redistribute the
z/OS Communications Server workload on the HPR RTP connected remote syst
em.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_HPR_Conn_OOS_Buffers",?,"0000000000000000000000004000
000000000000000","","NNN","*NO","*NONE","","","","","","1041114203647000
","V420","SYSADMIN","","","","","*IF *VALUE HPR_RTP_Connections.Out_of_S
equence_Buffers *GE 100","","5140","E","0","001500","","","*NONE","COUNT
=2;SEV=Warning","","HPR RTP Connection with high number of out-of-sequen
ce buffers");

$PARMS("A number of path switches have one or more of the following path
 switch triggers: TGINOP - indicating that the link which constitutes th
e first (or only) hop of the HPR RTP pipe has become inoperative, SRT (S
hort Request Timer) Retries - indicating that the end point has repeated
ly not responded within the specified time interval to timing-sensitive
packets sent to it, No NCB (Network Control Block) - indicating that the
 DLC associated with the HPR RTP connection can no longer be accessed.")
;
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_HPR_Conn_Path_Switch",?,"0000000000000000000000004000
000000000000000","","NNN","*NO","*NONE","","","","","","1041114203156000
","V420","SYSADMIN","","","","","*IF *VALUE HPR_RTP_Connections.Number_P
ath_Switches *GT 0 *AND *VALUE HPR_RTP_Connections.Path_Switch_Trigger *
LE No_NCB","","5140","E","0","001500","","","*NONE","COUNT=3;SEV=Warning
","","HPR RTP Connection with Path Switch due to error");

$PARMS("The actual throughput rate of the HPR RTP connection is less tha
n the initial throughput rate of the HPR RTP connection (initial through
put rate is calculated as 5 percent of the capacity of the HPR RTP pipe)
. In addition, there are HPR packets waiting to be sent. The probable ca
use of low throughput is network congestion.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_HPR_Throughput",?,"0000000000000000000000004000000000
000000000","","NNN","*NO","*NONE","","","","","","1041114201752000","V42
0","SYSADMIN","","","","","*IF *VALUE HPR_RTP_Connections.Packets_Queued
 *GT 0 *AND  *VALUE HPR_RTP_Connections.Compare_Throughput_Rate *EQ 1","
","5140","E","0","001500","","","*NONE","COUNT=3;SEV=Warning","","HPR RT
P Connection with Low Throughput");

$PARMS("The percentage of capacity being used for receiving. This is the
 rate of octets received on this interface over the last collection inte
rval, divided by the current bandwidth of the interface. Determine a thr
eshold value by observing history to obtain a working baseline. High uti
lization over an extended period of time might indicate that the interfa
ce is operating over capacity. Add an additional interface or upgrade to
 a higher speed interface.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_IF_Rcv_Util",?,"0000000000000000000000002000000000000
000000","","NNN","*NO","*NONE","","","","","","1050325125453000","V420",
"SYSADMIN","","","","","*IF *VALUE Interfaces.Receive_Bandwidth_Utilizat
ion *GE 95","","5140","E","0","001500","","","*NONE","SEV=Warning","","I
nterface Receive Bandwidth Utilization");

$PARMS("The total percentage of capacity being used. This is the rate of
 octets sent or received on this interface over the last collection inte
rval, divided by the current bandwidth of the interface. Determine a thr
eshold value by observing history to obtain a working baseline. High uti
lization over an extended period of time could indicate that the interfa
ce is operating over capacity. Add an additional interface or upgrade to
 a higher speed interface.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_IF_Util",?,"00000000000000000000000020000000000000000
00","","NNN","*NO","*NONE","","","","","","1050325125514000","V420","SYS
ADMIN","","","","","*IF *VALUE Interfaces.Bandwidth_Utilization *GE 95",
"","5140","E","0","001500","","","*NONE","SEV=Warning","","Interface Ban
dwidth Utilization");

$PARMS("The percentage of capacity being used for transmitting. This is
the rate of octets sent on this interface over the last collectoin inter
val, divided by the current bandwidth of the interface. Determine a thre
shold value by observing history to obtain a working baseline. High util
ization over an extended period of time might indicate that the interfac
e is operating over capacity. Add an additional interface or upgrade to
a higher speed interface.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_IF_Xmt_Util",?,"0000000000000000000000002000000000000
000000","","NNN","*NO","*NONE","","","","","","1050325125526000","V420",
"SYSADMIN","","","","","*IF *VALUE Interfaces.Transmit_Bandwidth_Utiliza
tion *GE 95","","5140","E","0","001500","","","*NONE","SEV=Warning","","
Interface Transmit Bandwidth Utilization");

$PARMS("This is based on the total number of IP input segments that were
 undeliverable and discarded, divided by the total IP segments received
since the TCPIP stack was initialized. Segments can be discarded due to
hardware errors, addressing errors, unknown protocols, and other errors.
 Excessive discards waste network resources. A trace might be needed to
isolate the source of the discards. See the IBM IP Diagnosis Guide.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Input_Discard_Pct",?,"0000000000000000000000002000000
000000000000","","NNN","*NO","*NONE","","","","","","1041110130808000","
V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Input_Disc
ard_Percentage *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warn
ing","","TCPIP input discard percentage.");

$PARMS("The total number of IP output datagrams that were discarded sinc
e the TCPIP stack was initialized. Output discards are datagrams that we
re discarded, though no problem was encountered to prevent them from bei
ng sent to their destination. Often this is an indication that more buff
er space needs to be allocated for the interface.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_IP_Out_Disc",?,"0000000000000000000000002000000000000
000000","","NNN","*NO","*NONE","","","","","","1050310192719000","V420",
"SYSADMIN","","","","","*IF *VALUE TCPIP_Stack_Layer.Output_Discards *GE
 10","","5140","E","0","001500","","","*NONE","SEV=Warning","","IP outpu
t discarded");

$PARMS("This is the total number of IP output datagrams discarded, divid
ed by the total number of IP output datagrams. Output discards are datag
rams that were discarded, though no problem was encountered to prevent t
hem from being sent to their destination. Often this is an indication th
at more buffer space needs to be allocated for the interface.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Output_Discard_Pct",?,"000000000000000000000000200000
0000000000000","","NNN","*NO","*NONE","","","","","","1041110130808000",
"V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Output_Di
scard_Percentage *GE 5","","5140","E","0","001500","","","*NONE","SEV=Wa
rning","","TCPIP ouput discard percentage.");

$PARMS("The OSA channel processor utilization has exceeded the threshold
 for a 5 minute interval. If performance is degraded, it might be necess
ary to expand capacity.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_OSA_Chan_Pro_Util_Pct_5Min",?,"0000000000000000000000
002000000000000000000","","NNN","*NO","*NONE","","","","","","1041110130
810000","V420","SYSADMIN","","","","","*IF  *VALUE OSA_Express_Channels.
Processor_Utilization_Per_Five_Minutes *GE 50","","5140","E","0","001500
","","","*NONE","SEV=Warning","","OSA channel processor utilization perc
ent over 5 minutes");

$PARMS("The OSA channel PCI bus utilization has exceeded the threshold f
or a 5 minute interval. If this condition persists and performance has b
een degraded it might be necessary to increase channel capacity.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_OSA_Chan_PCI_Busy_Pct_5Min",?,"0000000000000000000000
002000000000000000000","","NNN","*NO","*NONE","","","","","","1041110130
810000","V420","SYSADMIN","","","","","*IF  *VALUE OSA_Express_Channels.
PCI_Utilization_Per_Five_Minutes *GE 50","","5140","E","0","001500","","
","*NONE","SEV=Warning","","OSA channel PCI busy percent over a 5 minute
 interval");

$PARMS("Both the PCI bus utilization (per minute) and processor utilizat
ion (per hour) for the OSA adapter indicate a high percentage of use. Th
e probable cause of the OSA adapter under performing is high adapter uti
lization rates. Confirm that the PathMTUDiscovery option is enabled and
that network devices along routing paths are capable of exploiting a lar
ger MTU size. Then increase the MTU Size parameter in the TCP/IP Profile
, and add an additional OSA adapter.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_OSA_Utilization",?,"000000000000000000000000200000000
0000000000","","NNN","*NO","*NONE","","","","","","1041114204059000","V4
20","SYSADMIN","","","","","*IF *VALUE OSA_Express_Channels.PCI_Utilizat
ion_Per_Minute *GE 80 *AND  *VALUE OSA_Express_Channels.Processor_Utiliz
ation_Per_One_Hour *GE 95","","5140","E","0","001500","","","*NONE","SEV
=Warning","","OSA Adapter with high utilization");

$PARMS("Paging by the TCPIP address space is generally moderate. Determi
ne a threshold value by observing history to obtain a working baseline.
A paging rate much higher than the established baseline indicates an inc
rease in workload and might signify an impending performance problem. Us
e the diagnostic procedures outlined in the IBM IP Diagnosis Guide and t
ake corrective action.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Paging_Rate",?,"0000000000000000000000002000000000000
000000","","NNN","*NO","*NONE","","","","","","1041110130809000","V420",
"SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Paging_Rate *GE
5","","5140","E","0","001500","","","*NONE","SEV=Warning","","Paging rat
e.");

$PARMS("The percentage of authorized private storage that is currently a
llocated compared to the maximum authorized private storage that is allo
wed. Determine a threshold value by observing history to obtain a workin
g baseline. A percentage significantly larger than the established basel
ine shows an increase in workload and possibly an impending performance
problem. Increasing maximum authorized private subpool storage allowed,
load balancing, and work rescheduling are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Pct_Auth_Pvt_Allocated_Stg",?,"0000000000000000000000
002000000000000000000","","NNN","*NO","*NONE","","","","","","1041111233
304000","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Memory_Statistic
s.Pct_Private_Allocated *GE 80","","5140","E","0","001500","","","*NONE"
,"SEV=Warning","","Percent Authorized Private Allocated Storage");

$PARMS("The percentage of ECSA storage that is currently allocated compa
red to the maximum ECSA storage that is allowed. Determine a threshold v
alue by observing history to obtain a working baseline. A percentage of
ECSA allocated storage significantly in excess of the established baseli
ne indicates an increase in workload and possibly an impending performan
ce problem. Increasing the maximum ECSA storage allowed, load balancing,
 and work rescheduling are possible solutions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Pct_ECSA_Allocated_Stg",?,"00000000000000000000000020
00000000000000000","","NNN","*NO","*NONE","","","","","","10411112331270
00","V420","SYSADMIN","","","","","*IF *VALUE TCPIP_Memory_Statistics.Pc
t_ESCA_Allocated *GE 80","","5140","E","0","001500","","","*NONE","SEV=W
arning","","Percent ECSA allocated storage");

$PARMS("The total number of inbound and outbound packets that contained
errors, divided by the total number of IP packets from the last sampling
 period. Interface errors often indicate problems with the hardware or t
he line itself.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Pct_IF_Err",?,"00000000000000000000000020000000000000
00000","","NNN","*NO","*NONE","","","","","","1050325125536000","V420","
SYSADMIN","","","","","*IF *VALUE Interfaces.Percent_Packets_in_Error *G
E 3","","5140","E","0","001500","","","*NONE","SEV=Warning","","Interfac
e Percent Packets in Error");

$PARMS("The total number of inbound packets that contained errors preven
ting them from being delivered to a higher layer protocol, divided by th
e total number of inbound IP packets. Interface errors often indicate pr
oblems with the hardware or the line itself.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Pct_IF_In_Err",?,"00000000000000000000000020000000000
00000000","","NNN","*NO","*NONE","","","","","","1050325125545000","V420
","SYSADMIN","","","","","*IF *VALUE Interfaces.Percent_Inbound_Packets_
in_Error *GE 2","","5140","E","0","001500","","","*NONE","SEV=Warning","
","Interface Percent Inbound Packets in Error");

$PARMS("The total number of outbound packets that contained errors preve
nting them from being sent to their destination, divided by the total nu
mber of outbound IP packets from the last sampling period. Interface err
ors often indicate problems with the hardware or the line itself.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Pct_IF_Out_Err",?,"0000000000000000000000002000000000
000000000","","NNN","*NO","*NONE","","","","","","1050325125555000","V42
0","SYSADMIN","","","","","*IF *VALUE Interfaces.Percent_Outbound_Packet
s_in_Error *GE 2","","5140","E","0","001500","","","*NONE","SEV=Warning"
,"","Interface Percent Outbound Packets in Error");

$PARMS("The number of inbound and outbound packets that were discarded (
though no errors had been detected) to prevent them from continuing to b
e processed, divided by the total number of packets from the last sampli
ng period.  One possible reason for discarding a packet could be to free
 up buffer space.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Pct_IF_Pkt_Disc",?,"000000000000000000000000200000000
0000000000","","NNN","*NO","*NONE","","","","","","1050325125604000","V4
20","SYSADMIN","","","","","*IF *VALUE Interfaces.Percent_Packets_Discar
ded *GE 2","","5140","E","0","001500","","","*NONE","SEV=Warning","","In
terface Percent Packets Discarded");

$PARMS("The total number of IP input datagrams that were discarded since
 the TCPIP stack was initialized. This means that the TCP/IP stack is ru
ning out of memory in internal buffers. Input discards are datagrams tha
t were discarded, though no problem was encountered to prevent them from
 being processed. Often this is an indication that more buffer space nee
ds to be allocated for the interface.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Pct_IP_In_Disc",?,"0000000000000000000000002000000000
000000000","","NNN","*NO","*NONE","","","","","","1050310191311000","V42
0","SYSADMIN","","","","","*IF *VALUE TCPIP_Stack_Layer.Input_Discard_Pe
rcentage *GE 3","","5140","E","0","001500","","","*NONE","SEV=Warning","
","Percent IP input discarded");

$PARMS("The number of inbound TCP data segments that did not contain the
 next expected sequence number (for example, out-of-order), divided by t
he total number of inbound segments from the last sampling period. This
is often due to network congestion or possibly multiple routes defined t
o a destination host.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Pct_TCP_OO_Segs",?,"000000000000000000000000200000000
0000000000","","NNN","*NO","*NONE","","","","","","1050310194217000","V4
20","SYSADMIN","","","","","*IF *VALUE TCPIP_Stack_Layer.Pct_Out-of-Orde
r-Segments_Last_Sample *GE 15","","5140","E","0","001500","","","*NONE",
"SEV=Warning","","TCP percent out-of-order segments");

$PARMS("The total number of reassemblies that fail, divided by the total
 number of reassemblies attempted. Reassemblies fail because some of the
 fragments required for reassembly of a message were not received. Requi
red segments are being lost in transit and not received by the host. Exc
essive reassembly failures indicate a problem somewhere in the network.
See the IBM IP Diagnosis Guide for assistance in isolating the cause of
the problem.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Reassembly_Failure_Pct",?,"00000000000000000000000020
00000000000000000","","NNN","*NO","*NONE","","","","","","10411101308090
00","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Reass
embly_Failure_Percentage *GE 5","","5140","E","0","001500","","","*NONE"
,"SEV=Warning","","Reassembly failure percentage.");

$PARMS("The total number of IP segments received requiring reassembly, d
ivided by the total number of IP segments received. Messages can become
fragmented when transmitted across a network. Message fragments must be
reassembled before delivery to an application. Excessive reassembly wast
es network resources and degrades network performance. See the IBM IP Di
agnosis Guide for help in isolating the cause of the reassemblies and ta
ke corrective action.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Reassembly_Pct",?,"0000000000000000000000002000000000
000000000","","NNN","*NO","*NONE","","","","","","1041110130809000","V42
0","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Reassembly_Pe
rcentage *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warning","
","Reassembly percentage.");

$PARMS("The total number of TCP segments retransmitted, divided by the t
otal number of TCP segments sent. TCP segments are retransmitted when th
eir receipt is not acknowledged by the destination host. Excessive retra
nsmissions waste network resources, degrade network performance, and eff
ect user response times. See the IBM IP Diagnosis Guide for assistance i
n isolating the cause of the retransmissions and take corrective action.
");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Retransmission_Pct",?,"000000000000000000000000200000
0000000000000","","NNN","*NO","*NONE","","","","","","1041110130809000",
"V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.TCP_Retra
nsmit_Percentage *GE 5","","5140","E","0","001500","","","*NONE","SEV=Wa
rning","","Retransmission percentage.");

$PARMS("The TELNET pool usage that has met or exceeded a critical thresh
old. One entry from the TELNET pool is assigned for each TELNET session
request. When the pool is exhausted, no more TELNET sessions can be esta
blished. SNA over TELNET can quickly exhaust an inadequately sized TELNE
T pool. Allocating a large TELNET pool has very little cost and is recom
mended. TELNET pool size is specified in the TCPIP profile.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Telnet_Pool_Usage_Critical",?,"0000000000000000000000
002000000000000000000","","NNN","*NO","*NONE","","","","","","1041110130
809000","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.T
elnet_Pool_Percentage *GE 95","","5140","E","0","001500","","","*NONE","
SEV=Critical","","Percentage of TELNET pool in use.");

$PARMS("The TELNET pool usage has met or exceeded a warning threshold. O
ne entry from the TELNET pool is assigned for each TELNET session reques
t. When the pool is exhausted, no more TELNET sessions can be establishe
d. SNA over TELNET can quickly exhaust an inadequately sized pool. Alloc
ating a large TELNET pool has very little cost and is recommended. TELNE
T pool size is specified in the TCPIP profile.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Telnet_Pool_Usage_Warning",?,"00000000000000000000000
02000000000000000000","","NNN","*NO","*NONE","","","","","","10411101308
09000","V420","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Te
lnet_Pool_Percentage *GE 80 *AND  *VALUE TCPIP_Address_Space.Telnet_Pool
_Percentage *LT 95","","5140","E","0","001500","","","*NONE","SEV=Warnin
g","","Percentage of TELNET pool in use.");

$PARMS("The sum of throughput rates for all connections to the TCP/IP st
ack over the last sample interval in bytes per minute. The throughput va
lue for your network can be determined by observing history to obtain a
working baseline. Throughput significantly in excess of the established
baseline indicates a change in network workload and can signify an impen
ding performance problem. Load balancing is a possible solution.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Throughput_Rate",?,"000000000000000000000000200000000
0000000000","","NNN","*NO","*NONE","","","","","","1041110130809000","V4
20","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Byte_Rate *G
E 2000000","","5140","E","0","001500","","","*NONE","SEV=Warning","","Th
roughput/byte rate per minute.");

$PARMS("The CSA above and below the 16MB line. CSA usage is generally mo
derate and reasonable. If CSA usage becomes excessive, isolate the cause
 of the problem using diagnostic procedures outlined in the IBM IP Diagn
osis Guide.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_Total_CSA_Pct",?,"00000000000000000000000020000000000
00000000","","NNN","*NO","*NONE","","","","","","1041110130809000","V420
","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.Total_CSA_Perc
entage *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warning","",
"Total CSA percentage in use by TCPIP address space.");

$PARMS("A number of connections for a TCPIP stack were dropped due to on
e or more of the following errors: Retransmit_dropped, Probe_dropped, Al
ive_dropped, Tcp_wait_drops. This situation occurs when the number of co
nnections dropped, due to error conditions, is greater than zero (0) for
 three consecutive intervals. The TCPIP dropped connections value is a s
tack aggregate metric collected for each TCP/IP stack instance. Connecti
ons likely dropped due to network congestion or lost connectivity to the
 endpoint node.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_TCP_Conn_Drop",?,"00000000000000000000000020000000000
00000000","","NNN","*NO","*NONE","","","","","","1050310193059000","V420
","SYSADMIN","","","","","*IF *VALUE TCPIP_Stack_Layer.TCP_Connections_D
ropped_Last_Sample *GT 0","","5140","E","0","001500","","","*NONE","COUN
T=3;SEV=Warning","","TCP connections dropped");

$PARMS("The total number of segments received in error (for example, bad
 TCP checksums).");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_TCP_In_Errs",?,"0000000000000000000000002000000000000
000000","","NNN","*NO","*NONE","","","","","","1050310193846000","V420",
"SYSADMIN","","","","","*IF *VALUE TCPIP_Stack_Layer.TCP_Received_Segmen
t_Errors *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warning","
","TCP received segment errors");

$PARMS("The number of outbound keepalive window probe requests sent duri
ng the last sampling period. A number greater than 0 (zero) could indica
te that a number of TCP connections were dropped during the last samplin
g interval because no response was returned while sending window probe r
equests. This might indicate a problem with connectivity to the remote a
pplication.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_TCP_Probes",?,"00000000000000000000000020000000000000
00000","","NNN","*NO","*NONE","","","","","","1050310194025000","V420","
SYSADMIN","","","","","*IF *VALUE TCPIP_Stack_Layer.TCP_Window_Probes_Se
nt_Last_Sample *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warn
ing","","TCP window probes sent");

$PARMS("The total number of UDP datagrams received that were undeliverab
le, divided by the total number of UPD datagrams received. Most datagram
s are discarded because the port number specified in the datagram cannot
 be associated with an active application on the receiving host. Excessi
ve UDP discards can degrade network performance or indicate that a neces
sary application is not available. See the IBM IP Diagnosis Guide for he
lp in isolating the cause of the discards.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_UDP_Discard_Pct",?,"000000000000000000000000200000000
0000000000","","NNN","*NO","*NONE","","","","","","1041110130809000","V4
20","SYSADMIN","","","","","*IF  *VALUE TCPIP_Address_Space.UDP_Discard_
Percentage *GE 10","","5140","E","0","001500","","","*NONE","SEV=Warning
","","UDP discard percentage.");

$PARMS("The percentage of CPU being used by VTAM. High CPU usage is freq
uently accompanied by a high throughput rate. If the throughput rate is
excessive, isolate the source of the high throughput using diagnostic te
chniques outlined in the SNA Network Implementation Guide and take corre
ctive action.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_CPU_Pct_Critical",?,"00000000000000000000000040000000
00000000000","","NNN","*NO","*NONE","","","","","","1050711095235000","V
420","SYSADMIN","","","","","*IF *VALUE VTAM_Address_Space.CPU_Percentag
e *GE 10","","5140","E","0","001500","","","*NONE","SEV=Critical","","CP
U percentage in use for VTAM address space.");

$PARMS("The percentage of CPU being used by VTAM. High CPU usage is freq
uently accompanied by a high throughput rate. If the throughput rate is
excessive, isolate the source of the high throughput using diagnostic te
chniques outlined in the SNA Network Implementation Guide and take corre
ctive action.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_CPU_Pct_Warning",?,"000000000000000000000000400000000
0000000000","","NNN","*NO","*NONE","","","","","","1050711095255000","V4
20","SYSADMIN","","","","","*IF *VALUE VTAM_Address_Space.CPU_Percentage
 *GE 5 *AND  *VALUE VTAM_Address_Space.CPU_Percentage *LT 10","","5140",
"E","0","001500","","","*NONE","SEV=Warning","","CPU percentage in use f
or VTAM address space.");

$PARMS("The percentage of CSA usage below 16 megabytes. The VTAM address
 space uses a nominal amount of CSA below the 16MB line. Common storage
areas are used by VTAM and other resources in your network to maintain b
uffers and control blocks in the CSA for MVS systems. For performance re
asons, VTAM offers you some control over its use of common storage areas
 with the start options. Isolate the cause of the problem using diagnost
ic procedures outlined in the IBM SNA Network Implementation Guide.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_CSA_Pct_Below_16MB",?,"000000000000000000000000400000
0000000000000","","NNN","*NO","*NONE","","","","","","1050711094418000",
"V420","SYSADMIN","","","","","*IF *VALUE VTAM_Address_Space.CSA_Percent
_Below_16MB *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warning
","","Percent of CSA in use by the VTAM address space below 16MB.");

$PARMS("Paging by the VTAM address space is generally moderate. Determin
e a threshold value by observing history to obtain a working baseline. A
 paging rate much higher than the established baseline indicates an incr
ease in workload and might signify an impending performance problem. Use
 the diagnostic procedures outlined in the IBM SNA Network Implementatio
n Guide and take corrective action.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_Paging_Rate",?,"0000000000000000000000004000000000000
000000","","NNN","*NO","*NONE","","","","","","1050711094708000","V420",
"SYSADMIN","","","","","*IF *VALUE VTAM_Address_Space.Paging_Rate *GE 5"
,"","5140","E","0","001500","","","*NONE","SEV=Warning","","Paging rate.
");

$PARMS("A percentage of the common storage areas above and below the 16M
B line. Common storage areas are used by VTAM and other resources in you
r network to maintain buffers and control blocks in the CSA for MVS syst
ems. For performance reasons, VTAM offers some control over its use of c
ommon storage areas with the start options. Isolate the cause of the pro
blem using diagnostic procedures outlined in the IBM SNA Network Impleme
ntation Guide.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3V_Total_CSA_Pct",?,"00000000000000000000000040000000000
00000000","","NNN","*NO","*NONE","","","","","","1050711093951000","V420
","SYSADMIN","","","","","*IF *VALUE VTAM_Address_Space.Total_CSA_Percen
tage *GE 5","","5140","E","0","001500","","","*NONE","SEV=Warning","","T
otal CSA percentage in use by the VTAM address space.");


$PARMS("Session ended because server received an invalid sequence.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_FTPS_InvalidSeq",?,"000000000000000000000000200000000
8000000000","","NNY","*NO","*NONE","","","","","en_US","1060131152852000
","V420","SYSADMIN","","","","","*IF *VALUE FTP_Sessions.Session_End_Rea
son_Code *EQ 4 *AND *VALUE FTP_Sessions.FTP_Type *EQ Server","","5140","
E","0","001500","","","*NONE","SEV=Warning","","Session ended because se
rver received an invalid sequence."); 


$PARMS("FTP session ended due to a network or socket error.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_FTPS_NetError",?,"00000000000000000000000020000000080
00000000","","NNY","*NO","*NONE","","","","","en_US","1060131160635000",
"V420","SYSADMIN","","","","","*IF ( ( *VALUE FTP_Sessions.FTP_Type *EQ 
Client *AND *VALUE FTP_Sessions.Session_End_Reason_Code *GE 8 *AND *VALU
E FTP_Sessions.Session_End_Reason_Code *LE 9 ) *OR ( *VALUE FTP_Sessions
.FTP_Type *EQ Server *AND *VALUE FTP_Sessions.Session_End_Reason_Code *E
Q 2 ) )","","5140","E","0","001500","","","*NONE","SEV=Warning","","FTP 
session ended due to a network or socket error."); 


$PARMS("Session ended:  Error reply received by client from server.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_FTPS_ServerError",?,"00000000000000000000000020000000
08000000000","","NNY","*NO","*NONE","","","","","en_US","106013115514600
0","V420","SYSADMIN","","","","","*IF *VALUE FTP_Sessions.FTP_Type *EQ C
lient *AND *VALUE FTP_Sessions.Session_End_Reason_Code *EQ 2","","5140",
"E","0","001500","","","*NONE","SEV=Warning",""," Session ended:  Error 
reply received by client from server."); 


$PARMS("Session ended: Client was unable to get a system resource.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_FTPS_SysError",?,"00000000000000000000000020000000080
00000000","","NNY","*NO","*NONE","","","","","en_US","1060131154650000",
"V420","SYSADMIN","","","","","*IF *VALUE FTP_Sessions.Session_End_Reaso
n_Code *EQ 1 *AND *VALUE FTP_Sessions.FTP_Type *EQ Client","","5140","E"
,"0","001500","","","*NONE","SEV=Warning","","Session ended: Client was 
unable to get a system resource."); 


$PARMS("FTP transfer ended due to a file or system error.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_FTPT_FileSysError",?,"0000000000000000000000002000000
008000000000","","NNY","*NO","*NONE","","","","","en_US","10601311559540
00","V420","SYSADMIN","","","","","*IF ( ( *VALUE TCPIP_FTP.Last_Reply *
GT 450 *AND *VALUE TCPIP_FTP.Last_Reply *LT 460 ) *OR ( *VALUE TCPIP_FTP
.Last_Reply *GT 550 *AND *VALUE TCPIP_FTP.Last_Reply *LT 560 ) )","","51
40","E","0","001500","","","*NONE","SEV=Warning",""," FTP transfer ended
 due to a file or system error."); 


$PARMS("FTP transfer ended due to a network error.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("N3T_FTPT_NetError",?,"00000000000000000000000020000000080
00000000","","NNY","*NO","*NONE","","","","","en_US","1060131161224000",
"V420","SYSADMIN","","","","","*IF *VALUE TCPIP_FTP.Last_Reply *EQ '425'
","","5140","E","0","001500","","","*NONE","SEV=Warning","","FTP transfe
r ended due to a network error."); 


INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000004000000008000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1051202143959000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE VTAM_Buffer_Pools.IO_Expansion_Limit_Percent *GT 90",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3V_BuffPool_Buf_Expan_Lim_Pct",
   "Kn3:KN3_2005_356_9_52_32_1000",
   "NNY",
   "SEV=Critical",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000004000000008000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1051205202905000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE VTAM_Buffer_Pools.Queued_Requests *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3V_BuffPool_Queue_Req",
   "Kn3:KN3_2005_356_9_52_32_1001",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000004000000008000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1051205202747000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE VTAM_Buffer_Pools.Expansion_Threshold_Flag *EQ Yes",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3V_BuffPool_Buf_Avail",
   "Kn3:KN3_2005_340_5_5_25_1000",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000008000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1060215062844000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE TN3270_Server_Sess_Avail.Avg_IP_Response_Time *GT 1000",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_TN3270_Avg_IP_Resp_Time",
   "Kn3:KN3200673101281028",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000008000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1060215062947000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE TN3270_Server_Sess_Avail.Avg_SNA_Response_Time *GT 500",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_TN3270_Avg_SNA_Resp_Time",
   "Kn3:KN3200673101281029",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000008000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1060215063010000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE TN3270_Server_Sess_Avail.Avg_Total_Response_Time *GT 1500
",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_TN3270_Avg_Tot_Resp_Time",
   "Kn3:KN3200673101281030",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000008000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1060215063333000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE TN3270_Server_Sess_Avail.Bucket_5_Response_Times_Pct *GE
10",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_TN3270_Bckt5_Resp_Time_Pct",
   "Kn3:KN3200673101281031",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070829110001000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.Tot_Failed_Dyn_Tunnel_Act *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Dyn_Act_Fail",
   "Kn3:KN32007204955441508",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070829112736000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *CHANGE IKE_Tunnels.Tot_Failed_Remote_Activations *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Dyn_Act_Fail_IKE_TnR",
   "Kn3:KN3200724813601000",
   "NNN",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070829112038000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IKE_Tunnels.Tot_Failed_Local_Activations *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Dyn_Act_Fail_IKE_Tnl",
   "Kn3:KN3200724813601001",
   "NNN",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070829105722000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.Tot_Failed_IKE_Tunnel_Act *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_IKE_Act_Fail",
   "Kn3:KN32007204955441510",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070814102531000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.IKE_Tot_Key_Message_Auth_Fail *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Key_Msgs_Auth_Fail",
   "Kn3:KN32007204955441511",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070814102144000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.IKE_Tot_Invalid_Key_Msgs *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Key_Msgs_Invalid",
   "Kn3:KN32007204955441512",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070829113736000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.IKE_Tot_Replayed_Key_Msgs *GT 5",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Key_Msgs_Replayed",
   "Kn3:KN32007204955441513",
   "NNN",
   "COUNT=3;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070829113921000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.IKE_Tot_Retransmitted_Key_Msgs *GT 5",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Key_Msgs_Rtrnsmttd",
   "Kn3:KN32007204955441514",
   "NNN",
   "COUNT=3;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070815170620000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE IPSec_Status.Pct_Packets_Denied_By_DENY *GT 5",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Pkts_Denied_DENY",
   "Kn3:KN32007204955441515",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070605083848000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *VALUE Current_IP_Filters.Packets_Denied_By_Mismatch *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_Pkts_Denied_Mismatch",
   "Kn3:KN32007204955441516",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070814101309000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.Tot_Invalid_QUICKMODE_Msgs *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_QUICKMODE_Invalid",
   "Kn3:KN32007204955441517",
   "NNY",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070829114151000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.Tot_Replayed_QUICKMODE_Msgs *GT 5",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_QUICKMODE_Replayed",
   "Kn3:KN32007204955441518",
   "NNN",
   "COUNT=3;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("000000000000000000000000200000000G000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1070829114353000",
   "V420",
   "SYSADMIN",
   "",
   "*IF *CHANGE IPSec_Status.Tot_Rtrnsmttd_QUICKMODE_Msgs *GT 5",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IPSec_QUICKMODE_Rtrnsmttd",
   "Kn3:KN32007204955441519",
   "NNN",
   "COUNT=3;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_IP_Input_Discard_Pct";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100323005725000",
   "V4203",
   "SYSADMIN",
   "",
"*IF *VALUE KN3_IP_Counter_Statistics.Input_Discard_Percentage *GE 3",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IP_Input_Discard_Pct",
   "Kn3:KN320101731252461462",
   "NNN",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_IP_Output_Discard_Pct";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100323005725000",
   "V4203",
   "SYSADMIN",
   "",
"*IF *VALUE KN3_IP_Counter_Statistics.Output_Discard_Percentage *GE 3",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_IP_Output_Discard_Pct",
   "Kn3:KN320101731252461463",
   "NNN",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_TCP_Flow_Controls";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100419230907000",
   "V4203",
   "SYSADMIN",
   "",
"*IF *CHANGE KN3_TCP_Counter_Statistics.Total_Flow_Controls *GE 1",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_TCP_Flow_Controls",
   "Kn3:KN320101731252461466",
   "NNN",
   "COUNT=3;SEV=Informational",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_DLC_Accelerated_Bytes";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100503235743000",
   "V4203",
   "SYSADMIN",
   "",
   "*IF *VALUE KN3_Interface_Write_Queue.IP_Address_Version *EQ IPv4 *AN
D *VALUE KN3_Interface_Write_Queue.QDIO_Accelerator *EQ Yes *AND *CHANGE
 KN3_Interface_Write_Queue.Accelerated_Bytes *EQ 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_DLC_Accelerated_Bytes",
   "Kn3:KN320101731252461458",
   "NNN",
   "COUNT=3;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_DLC_Max_Staging_Queue_De
pth";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100503235743000",
   "V4203",
   "SYSADMIN",
   "",
"*IF *CHANGE KN3_Interface_Write_Queue.Max_Staging_Queue_Depth *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_DLC_Max_Staging_Queue_Depth",
   "Kn3:KN320101731252461459",
   "NNN",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_DLC_Read_Deferrals";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100503235743000",
   "V4203",
   "SYSADMIN",
   "",
"*IF *VALUE KN3_Interface_Read_Queue.Delta_Read_Process_Defer *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_DLC_Read_Deferrals",
   "Kn3:KN320101731252461460",
   "NNN",
   "SEV=Critical",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_DLC_Reads_Exhausted";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100503235743000",
   "V4203",
   "SYSADMIN",
   "",
"*IF *VALUE KN3_Interface_Read_Queue.Delta_Reads_Exhausted *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_DLC_Reads_Exhausted",
   "Kn3:KN320101731252461461",
   "NNN",
   "SEV=Critical",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_Interface_Bandwidth_Util
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100609202930000",
   "V4203",
   "SYSADMIN",
   "",
   "*IF *VALUE KN3_Interface_Statistics.Bandwidth_Utilization *GE 95",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_Interface_Bandwidth_Util",
   "Kn3:KN320101731252461464",
   "NNN",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "N3T_Interface_Xmit_Rcv_Bytes
";
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000080000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1100609202930000",
   "V4203",
   "SYSADMIN",
   "",
   "*IF *VALUE KN3_Interface_Statistics.Bytes_Received *EQ 0 *AND *VALUE
 KN3_Interface_Statistics.Bytes_XMIT *EQ 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_Interface_Xmit_Rcv_Bytes",
   "Kn3:KN320101731252461465",
   "NNN",
   "SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000020000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080116141853000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE OSA_10Gigabit_Ports_Errors.Missed_Packets *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_OSA2_Missed_Packets",
   "Kn3:KN32008251058261003",
   "NNN",
   "COUNT=4;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000020000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080116141745000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE OSA_10Gigabit_Ports_Errors.Not_Stored_Frames_Received *GT
 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_OSA2_Not_Stored_Frames",
   "Kn3:KN32008251058261004",
   "NNN",
   "COUNT=4;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000020000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080116142125000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE OSA_Express3_Ports_Errors.Missed_Packets *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_OSA3_Missed_Packets",
   "Kn3:KN320082594761008",
   "NNN",
   "COUNT=4;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("00000000000000000000000020000000#W########F",
   "",
   "*NO",
   "",
   "en_US",
   "1080116142026000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE OSA_Express3_Ports_Errors.Not_Stored_Frames_RCV *GT 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_OSA3_Not_Stored_Frames",
   "Kn3:KN320082594761009",
   "NNN",
   "COUNT=4;SEV=Warning",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "*NONE"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000020000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1091002065155000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE TCPIP_Address_Space.CPU_Percentage *GE 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_Sample_NetViewAuto_Cmd",
   "Kn3:KN32014_1",
   "NNN",
   "TFWD=N;OV=N;SEV=Harmless;TDST=0;~",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "F NetViewProcName,KN3SITEX N3T_Sample_NetViewAuto_Cmd CPUPercentage 
 &{TCPIP_Address_Space.CPU_Percentage}"
  );

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD  )
VALUES
  ("0000000000000000000000002000000020000000000",
   "",
   "*NO",
   "",
   "en_US",
   "1091002065258000",
   "V100",
   "SYSADMIN",
   "",
   "*IF *VALUE TCPIP_Address_Space.CPU_Percentage *GE 0",
   "E",
   "0",
   "001500",
   "*NONE",
   "N3T_Sample_NetViewAuto_Msg",
   "Kn3:KN32014_2",
   "NNN",
   "TFWD=N;OV=N;SEV=Harmless;TDST=0;~",
   'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
   "SE 'N3T_Sample_NetViewAuto_Msg CPUPercentage  &{TCPIP_Address_Space.
CPU_Percentage}',CN=INTERNAL"
  );

/* ------------------------------------------------------------------ */
/* Assign situation default status for non-leafnode workspaces        */
/* e.g., summary workspace(s)                                         */
/* ------------------------------------------------------------------ */

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Connection_Count",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Fragmentation_Failure_Pct",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Fragmentation_Pct",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Input_Discard_Pct",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Output_Discard_Pct",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Reassembly_Failure_Pct",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Reassembly_Pct",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Retransmission_Pct",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_Throughput_Rate",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_UDP_Discard_Pct",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_OSA2_Missed_Packets",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_OSA2_Not_Stored_Frames",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_OSA3_Missed_Packets",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
LOCFLAG,
STATE,
TYPE,
RESERVED,
TEMPLATE
)
VALUES
(
"N3T_OSA3_Not_Stored_Frames",
"",
"Warning",
"0",
"",
"KFW_NODE")
;

/* ------------------------------------------------------------------ */
/* Distributions                                                      */
/* ------------------------------------------------------------------ */
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
   "N3V_BuffPool_Buf_Expan_Lim_Pct",
   "Y",
   "1051202055616000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
   "N3V_BuffPool_Queue_Req",
   "Y",
   "1051202053253000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
   "N3V_BuffPool_Buf_Avail",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Dyn_Act_Fail",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Dyn_Act_Fail_IKE_TnR",
   "Y",
   "1070829112736000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Dyn_Act_Fail_IKE_Tnl",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_IKE_Act_Fail",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Key_Msgs_Auth_Fail",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Key_Msgs_Invalid",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Key_Msgs_Replayed",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Key_Msgs_Rtrnsmttd",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Pkts_Denied_DENY",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_Pkts_Denied_Mismatch",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_QUICKMODE_Invalid",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_QUICKMODE_Replayed",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IPSec_QUICKMODE_Rtrnsmttd",
   "Y",
   "1051205202648000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IP_Input_Discard_Pct",
   "Y",
   "1100323005725000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_IP_Output_Discard_Pct",
   "Y",
   "1100323005725000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_TCP_Flow_Controls",
   "Y",
   "1100419230907000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_DLC_Accelerated_Bytes",
   "Y",
   "1100503235743000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_DLC_Max_Staging_Queue_Depth",
   "Y",
   "1100503235743000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_DLC_Read_Deferrals",
   "Y",
   "1100503235743000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_DLC_Reads_Exhausted",
   "Y",
   "1100503235743000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_Interface_Bandwidth_Util",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_Interface_Xmit_Rcv_Bytes",
   "Y",
   "1100609202930000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Backlog_Conns_Rejected",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143545000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Byte_Rate",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143545000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Connections_in_Backlog",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143552000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Datagram_Rate",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143552000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Not_Accepting_Conn",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143559000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Pct_Datagrams_Discd",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143559000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Pct_OO_Segments",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143559000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Pct_Segs_Rexmit",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143559000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Reject_Conn",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143559000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Reject_Conn_Resource",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143559000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Reject_Conn_WorkSpike",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143559000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_Retransmission_Count",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143559000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Appl_FTPD1_Rate",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143606000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Backlog_Conns_Rejected",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143628000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_CPU_Pct_Critical",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143628000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_CPU_Pct_Warning",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143634000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_CSA_Pct_Below_16MB",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143641000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Byte_Rate",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143829000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Connections_in_Backlog",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143835000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Current_Retransmits",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143835000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Datagram_Rate",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143843000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Pct_Datagrams_Discd",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143850000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Pct_OO_Segments",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143850000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Pct_Segs_Rexmit",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143850000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Rnd_Trip_Time",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143850000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Conn_Rnd_Trip_Variance",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143859000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Connection_Count",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143149000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Device_Status_Active",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060717070201000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Device_Status_Inactive",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060717070201000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_FTPS_InvalidSeq",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060131152852000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_FTPS_NetError",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060131160635000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;


INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_FTPS_ServerError",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060131155146000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;


INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_FTPS_SysError",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060131154650000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;


INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_FTPT_FileSysError",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060131155954000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;


INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_FTPT_NetError",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060131161224000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;


INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_Pct_ECSA_Allocated_Stg",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1020319143240000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;


INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_EE_Pct_Packets_Rexmit",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1020319143157000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Fragmentation_Failure_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143157000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Fragmentation_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143211000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_HPR_Conn_OOS_Buffers",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1020319143219000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_HPR_Conn_Path_Switch",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1020319143219000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_HPR_Throughput",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1020319143219000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Input_Discard_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143219000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_IP_Out_Disc",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143219000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Output_Discard_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143230000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Paging_Rate",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143652000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Pct_Auth_Pvt_Allocated_Stg",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143240000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Pct_ECSA_Allocated_Stg",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143240000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Pct_IP_In_Disc",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143240000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Pct_TCP_OO_Segs",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143240000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Reassembly_Failure_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143240000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Reassembly_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143248000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Retransmission_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143301000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Telnet_Pool_Usage_Critical",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143659000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Telnet_Pool_Usage_Warning",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143706000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Throughput_Rate",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143327000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Total_CSA_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143713000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_TCP_Conn_Drop",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143713000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_TCP_In_Errs",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143713000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_TCP_Probes",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143713000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_UDP_Discard_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1020319143337000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_OSA2_Missed_Packets",
   "Y",
   "1080115182337000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_OSA2_Not_Stored_Frames",
   "Y",
   "1080115175942000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_OSA3_Missed_Packets",
   "Y",
   "1080115194459000",
   "",
   "",
   "5140",
   "5535"
  );
INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS,
   QIBCLASSID  )   
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_OSA3_Not_Stored_Frames",
   "Y",
   "1080115194026000",
   "",
   "",
   "5140",
   "5535"
  );

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_OSA_Chan_PCI_Busy_Pct_5Min",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_OSA_Utilization",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_OSA_Chan_Pro_Util_Pct_5Min",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_IF_Xmt_Util",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_IF_Rcv_Util",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_IF_Util",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1050325125514000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Pct_IF_Pkt_Disc",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Pct_IF_Out_Err",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Pct_IF_In_Err",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_Pct_IF_Err",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1030414083000000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_CPU_Pct_Critical",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1050711095235000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_CPU_Pct_Warning",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1050711095255000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;


INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_CSA_Pct_Below_16MB",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1050711094418000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_Paging_Rate",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1050711094708000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3V_Total_CSA_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_VTAM",
"",
"Y",
"",
"",
"1050711093951000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_TN3270_Avg_IP_Resp_Time",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060215062844000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_TN3270_Avg_SNA_Resp_Time",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060215062947000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_TN3270_Avg_Tot_Resp_Time",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060215063010000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
(
OBJNAME,
NODEL,
ACTIVATION,
HUB,
INFO,
LOCFLAG,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NETID,
OBJCLASS,
OBJECTLOCK,
OPERATION,
PATHNAME,
PERCOLATE,
RESERVED,
SOURCE,
QIBCLASSID
)
VALUES
(
"N3T_TN3270_Bckt5_Resp_Time_Pct",
"*OMEGAMONXE_MAINFRAME_NTWK_TCP",
"",
"Y",
"",
"",
"1060215063333000",
"",
"",
"",
"5140",
"",
"",
"",
"",
"",
"",
"5535")
;

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_Sample_NetViewAuto_Cmd",
   "Y",
   "1091001185247000",
   "",
   "",
   "5140"
  );

INSERT INTO O4SRV.TOBJACCL
  (NODEL,
   OBJNAME,
   HUB,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJCLASS  )
VALUES
  ("*OMEGAMONXE_MAINFRAME_NTWK_TCP",
   "N3T_Sample_NetViewAuto_Msg",
   "Y",
   "1091001182657000",
   "",
   "",
   "5140"
  );

/* Hand coded updates to set QIBCLASSID */

UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Backlog_Conns_Rejected" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Byte_Rate" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Connections_in_Backlog" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Datagram_Rate" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_FTPD1_Rate" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Not_Accepting_Conn" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Pct_Datagrams_Discd" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Pct_OO_Segments" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Pct_Segs_Rexmit" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Reject_Conn" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Reject_Conn_Resource" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Reject_Conn_WorkSpike" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Appl_Retransmission_Count" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_CPU_Pct_Critical" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_CPU_Pct_Warning" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_CSA_Pct_Below_16MB" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Backlog_Conns_Rejected" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Byte_Rate" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Connections_in_Backlog" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Current_Retransmits" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Datagram_Rate" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Pct_Datagrams_Discd" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Pct_OO_Segments" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Pct_Segs_Rexmit" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Rnd_Trip_Time" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Conn_Rnd_Trip_Variance" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Connection_Count" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Device_Status_Active" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Device_Status_Inactive" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_FTPS_InvalidSeq" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_FTPS_NetError" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_FTPS_ServerError" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_FTPS_SysError" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_FTPT_FileSysError" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_FTPT_NetError" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Fragmentation_Failure_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Fragmentation_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IF_Rcv_Util" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IF_Util" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IF_Xmt_Util" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Dyn_Act_Fail" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Dyn_Act_Fail_IKE_TnR" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Dyn_Act_Fail_IKE_Tnl" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_IKE_Act_Fail" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Key_Msgs_Auth_Fail" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Key_Msgs_Invalid" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Key_Msgs_Replayed" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Key_Msgs_Rtrnsmttd" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Pkts_Denied_DENY" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_Pkts_Denied_Mismatch" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_QUICKMODE_Invalid" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_QUICKMODE_Replayed" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IPSec_QUICKMODE_Rtrnsmttd" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_IP_Out_Disc" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Input_Discard_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_OSA2_Missed_Packets" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_OSA2_Not_Stored_Frames" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_OSA3_Missed_Packets" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_OSA3_Not_Stored_Frames" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_OSA_Chan_PCI_Busy_Pct_5Min" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_OSA_Chan_Pro_Util_Pct_5Min" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_OSA_Utilization" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Output_Discard_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Paging_Rate" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Pct_Auth_Pvt_Allocated_Stg" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Pct_ECSA_Allocated_Stg" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Pct_IF_Err" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Pct_IF_In_Err" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Pct_IF_Out_Err" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Pct_IF_Pkt_Disc" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Pct_IP_In_Disc" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Pct_TCP_OO_Segs" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Reassembly_Failure_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Reassembly_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Retransmission_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_TCP_Conn_Drop" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_TCP_In_Errs" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_TCP_Probes" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_TN3270_Avg_IP_Resp_Time" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_TN3270_Avg_SNA_Resp_Time" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_TN3270_Avg_Tot_Resp_Time" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_TN3270_Bckt5_Resp_Time_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Telnet_Pool_Usage_Critical" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Telnet_Pool_Usage_Warning" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Throughput_Rate" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Total_CSA_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_UDP_Discard_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_BuffPool_Buf_Avail" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_BuffPool_Buf_Expan_Lim_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_BuffPool_Queue_Req" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_CPU_Pct_Critical" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_CPU_Pct_Warning" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_CSA_Pct_Below_16MB" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_EE_Pct_Packets_Rexmit" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_HPR_Conn_OOS_Buffers" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_HPR_Conn_Path_Switch" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_HPR_Throughput" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_Paging_Rate" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_Pct_ECSA_Allocated_Stg" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3V_Total_CSA_Pct" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Sample_NetViewAuto_Cmd" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
UPDATE O4SRV.TOBJACCL
  SET OBJCLASS = "5140"
    WHERE OBJNAME = "N3T_Sample_NetViewAuto_Msg" AND
          SYSTEM.PARMA('QIBUSER','SYSADMIN',10) AND
          SYSTEM.PARMA('QIBCLASSID','5535',4);
	
/* ------------------------------------------------------------------ */
/* end                                                                */
/* ------------------------------------------------------------------ */
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32000",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Backlog_Conns_Rejected";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32001",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Byte_Rate";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32002",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Connections_in_Backlog";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32003",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Datagram_Rate";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32004",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_FTPD1_Rate";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32005",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Not_Accepting_Conn";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32006",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Pct_Datagrams_Discd";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32007",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Pct_OO_Segments";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32008",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Pct_Segs_Rexmit";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32009",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Reject_Conn";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32010",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Reject_Conn_Resource";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32011",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Reject_Conn_WorkSpike";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32012",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Appl_Retransmission_Count";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32013",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Critical"
    WHERE SITNAME = "N3T_CPU_Pct_Critical";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32014",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	
    WHERE SITNAME = "N3T_CPU_Pct_Warning";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32015",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_CSA_Pct_Below_16MB";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32016",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Backlog_Conns_Rejected";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32017",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Byte_Rate";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32018",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Connections_in_Backlog";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32019",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Current_Retransmits";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32020",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Datagram_Rate";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32021",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Pct_Datagrams_Discd";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32022",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Pct_OO_Segments";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32023",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Pct_Segs_Rexmit";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32024",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Critical"	  
    WHERE SITNAME = "N3T_Conn_Rnd_Trip_Time";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32025",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Conn_Rnd_Trip_Variance";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32026",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Connection_Count";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32027",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Device_Status_Active";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32028",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Device_Status_Inactive";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32029",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Fragmentation_Failure_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32030",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Fragmentation_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32031",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IF_Rcv_Util";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32032",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IF_Util";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32033",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IF_Xmt_Util";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32034",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IP_Out_Disc";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32035",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Input_Discard_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32036",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_OSA_Chan_PCI_Busy_Pct_5Min";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32037",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_OSA_Chan_Pro_Util_Pct_5Min";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32038",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_OSA_Utilization";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32039",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Output_Discard_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32040",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Paging_Rate";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32041",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Pct_Auth_Pvt_Allocated_Stg";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32042",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Pct_ECSA_Allocated_Stg";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32043",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Pct_IF_Err";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32044",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Pct_IF_In_Err";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32045",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Pct_IF_Out_Err";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32046",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Pct_IF_Pkt_Disc";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32047",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Pct_IP_In_Disc";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32048",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Pct_TCP_OO_Segs";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32049",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Reassembly_Failure_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32050",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Reassembly_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32051",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Retransmission_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32052",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "COUNT=3;SEV=Warning"	 
    WHERE SITNAME = "N3T_TCP_Conn_Drop";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32053",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_TCP_In_Errs";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32054",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_TCP_Probes";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32055",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Critical"
    WHERE SITNAME = "N3T_Telnet_Pool_Usage_Critical";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32056",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3T_Telnet_Pool_Usage_Warning";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32057",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Throughput_Rate";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32058",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_Total_CSA_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32059",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_UDP_Discard_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32060",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Critical"
    WHERE SITNAME = "N3V_CPU_Pct_Critical";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32061",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	 
    WHERE SITNAME = "N3V_CPU_Pct_Warning";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32062",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3V_CSA_Pct_Below_16MB";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32063",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "COUNT=2;SEV=Warning"
    WHERE SITNAME = "N3V_EE_Pct_Packets_Rexmit";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32064",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "COUNT=2;SEV=Warning"
    WHERE SITNAME = "N3V_HPR_Conn_OOS_Buffers";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32065",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "COUNT=3;SEV=Warning"
    WHERE SITNAME = "N3V_HPR_Conn_Path_Switch";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32066",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "COUNT=3;SEV=Warning"
    WHERE SITNAME = "N3V_HPR_Throughput";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32067",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3V_Paging_Rate";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32068",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	  
    WHERE SITNAME = "N3V_Pct_ECSA_Allocated_Stg";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN32069",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	  
    WHERE SITNAME = "N3V_Total_CSA_Pct";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN3200673101281022",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	  
    WHERE SITNAME = "N3T_FTPS_InvalidSeq";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN3200673101281023",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	  
    WHERE SITNAME = "N3T_FTPS_NetError";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN3200673101281024",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	  
    WHERE SITNAME = "N3T_FTPS_ServerError";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN3200673101281025",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	  
    WHERE SITNAME = "N3T_FTPS_SysError";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN3200673101281026",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	  
    WHERE SITNAME = "N3T_FTPT_FileSysError";
UPDATE O4SRV.TSITDESC
  SET TEXT = "Kn3:KN3200673101281027",
      ADVISE = 'ADVICE("kn3:"+$ISITSTSH.SITNAME$);',
      SITINFO = "SEV=Warning"	  
    WHERE SITNAME = "N3T_FTPT_NetError";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "N3V_BuffPool_Buf_Expan_Lim_Pct";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3V_BuffPool_Queue_Req";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3V_BuffPool_Buf_Avail";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_TN3270_Avg_IP_Resp_Time";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_TN3270_Avg_SNA_Resp_Time";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_TN3270_Avg_Tot_Resp_Time";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_TN3270_Bckt5_Resp_Time_Pct";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_Dyn_Act_Fail";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_Dyn_Act_Fail_IKE_TnR";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_Dyn_Act_Fail_IKE_Tnl";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_IKE_Act_Fail";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_Key_Msgs_Auth_Fail";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_Key_Msgs_Invalid";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_Key_Msgs_Replayed";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_Key_Msgs_Rtrnsmttd";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_Pkts_Denied_DENY";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
     WHERE SITNAME = "N3T_IPSec_Pkts_Denied_Mismatch";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_QUICKMODE_Invalid";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_QUICKMODE_Replayed";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "N3T_IPSec_QUICKMODE_Rtrnsmttd";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "COUNT=4;SEV=Warning"
    WHERE SITNAME = "N3T_OSA2_Missed_Packets";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "COUNT=4;SEV=Warning"
    WHERE SITNAME = "N3T_OSA2_Not_Stored_Frames";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "COUNT=4;SEV=Warning"
    WHERE SITNAME = "N3T_OSA3_Missed_Packets";
UPDATE O4SRV.TSITDESC
  SET SITINFO = "COUNT=4;SEV=Warning"
    WHERE SITNAME = "N3T_OSA3_Not_Stored_Frames";
