/**********************************************************************/
/*                                                                    */
/* Licensed Materials - Property of IBM                               */
/* 5698-A35                                                           */
/*  Copyright IBM Corporation 1999, 2010                             */
/*  Copyright Candle Corporation 1999, 2004.  All rights reserved.   */
/*                                                                    */
/* US Government Users Restricted Rights - Use, duplication, or       */
/* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  */
/*                                                                    */
/**********************************************************************/
/* ------------------------------------------------------------------ */
/*  Name:    kn3_del.sql                                              */
/*  Purpose: Deletes kn3.sql inserts                                  */
/* -------------+-------+-------------------------------------------- */
/*  Date        | User  | Description                                 */
/* -------------+-------+-------------------------------------------- */
/*  2002/02/20  | CMIKS | Created                                     */
/*  2002/02/25  | CMIKS | Added deletes for TTMPLSIT.                 */
/*              |       | NOTE. Deleting TTMPLSIT will remove all     */
/*              |       | situation entries including those added by  */
/*              |       | the user. This is appropriate because the   */
/*              |       | situation is also deleted.                  */
/*  2002/03/20  | CMIKS | Added deletes for distributions             */
/*  2003/04/15  | TEHRL | Added deletes for OSA situations            */
/*  2003/12/09  | MGOUV | V100 OSA situations                         */
/*  2004/11/19  | AYOUN | Additional situations for NMI data          */
/*  2005/02/04  | AYOUN | Changes for TCN table split up              */
/*  2005/03/11  | AYOUN | Additional situations for Stack Layer       */
/*  2005/07/11  | MGOUV | Additional situations for VTAM A.S.         */
/*  2006/02/01  | OCB   | Exploit z/OS NMI FTP enhancements           */
/*  2006/10/27  | MPATT | Add IP Security situations                  */
/*  2007/08/29  | OBRAB | Use CHANGE function in IPSec sits           */
/* -------------+-------+-------------------------------------------- */
/*  FLG=REASON  ,RELEASE,DATE  ,USER : DESCRIPTION                    */              
/*  --- -------- ------- ------ -----  ------------------------------ */
/*  @01=OSAIII  ,HKN3410,012608,MGOUV: OSA Express3 enhancement       */
/*  @02=D73196  ,HKN3410,060208,OBRAB: Delete IPSec sits from         */
/*                                     O4SRV.TOBJACCL database        */
/*  @03=D93196  ,HKN3420,012309,MGOUV: Elim. Hub TEMS recycles(seed)  */
/*  @04=D115310 ,HKN3421,100209,OBRAB: Sample sits to trigger NetView */
/*                                     automation                     */
/*  @05=RTC6369 ,HKN3423,032310,MPATT: GUI Enhancements               */
/*  @06=RTC7788B,HKN3423,042010,MPATT: TCP GUI enhancements           */
/*  @07=RTC8542 ,HKN3423,050310,MPATT: IFR/IFW GUI enhancements       */
/*  @08=RTC9497 ,HKN3423,060910,MPATT: IFS GUI enhancements           */
/*  @09=RTC9497B,HKN3423,061710,MPATT: Rename situation               */
/* ------------------------------------------------------------------ */

/* Situations */
DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Byte_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Datagram_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Reject_Conn"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Reject_Conn_Resource"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Reject_Conn_WorkSpike"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Retransmission_Count"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
WHERE SITNAME = "N3T_Appl_TELNET_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_FTPD1_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_CPU_Pct_Critical"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_CPU_Pct_Warning"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_CSA_Pct_Below_16MB"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Byte_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Current_Retransmits"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Datagram_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Rnd_Trip_Time"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Rnd_Trip_Variance"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Connection_Count"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Device_Status_Active"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Device_Status_Inactive"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Fragmentation_Failure_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Fragmentation_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_FTPS_InvalidSeq"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_FTPS_NetError"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_FTPS_ServerError"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_FTPS_SysError"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_FTPT_FileSysError"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_FTPT_NetError"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Input_Discard_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IP_Out_Disc"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Output_Discard_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Paging_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Reassembly_Failure_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Reassembly_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Retransmission_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_TCP_Conn_Drop"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_TCP_In_Errs"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_TCP_Probes"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Telnet_Pool_Usage_Critical"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Telnet_Pool_Usage_Warning"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Throughput_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Total_CSA_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_UDP_Discard_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_OSA_Chan_PCI_Busy_Pct_5Min"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_OSA_Chan_Pro_Util_Pct_5Min"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Pct_Segs_Rexmit"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Pct_OO_Segments"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Pct_Datagrams_Discd"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Connections_in_Backlog"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Backlog_Conns_Rejected"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Pct_ECSA_Allocated_Stg"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Pct_Auth_Pvt_Allocated_Stg"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Pct_IP_In_Disc"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Pct_TCP_OO_Segs"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Pct_Datagrams_Discd"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Pct_Segs_Rexmit"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Pct_OO_Segments"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Connections_in_Backlog"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Conn_Backlog_Conns_Rejected"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Appl_Not_Accepting_Conn"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_Pct_ECSA_Allocated_Stg"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_EE_Pct_Packets_Rexmit"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_HPR_Throughput"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_HPR_Conn_Path_Switch"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_HPR_Conn_OOS_Buffers"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_OSA_Utilization"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IF_Xmt_Util"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IF_Rcv_Util"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IF_Util"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Dyn_Act_Fail"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Dyn_Act_Fail_IKE_TnR"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Dyn_Act_Fail_IKE_Tnl"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_IKE_Act_Fail"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Key_Msgs_Auth_Fail"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Key_Msgs_Invalid"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Key_Msgs_Replayed"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Key_Msgs_Rtrnsmttd"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Pkts_Denied_DENY"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_Pkts_Denied_Mismatch"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_QUICKMODE_Invalid"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_QUICKMODE_Replayed"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IPSec_QUICKMODE_Rtrnsmttd"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IP_Input_Discard_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_IP_Output_Discard_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_TCP_Flow_Controls"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_DLC_Accelerated_Bytes"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_DLC_Max_Staging_Queue_Depth"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_DLC_Read_Deferrals"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_DLC_Reads_Exhausted"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Interface_Bandwidth_Util"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Interface_Xmit_Rcv_Bytes"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Pct_IF_Pkt_Disc"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Pct_IF_Out_Err"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Pct_IF_In_Err"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Pct_IF_Err"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_CPU_Pct_Critical"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_CPU_Pct_Warning"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_CSA_Pct_Below_16MB"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_Paging_Rate"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_Total_CSA_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_BuffPool_Buf_Avail"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_BuffPool_Buf_Expan_Lim_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3V_BuffPool_Queue_Req"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_TN3270_Avg_IP_Resp_Time"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_TN3270_Avg_SNA_Resp_Time"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_TN3270_Avg_Tot_Resp_Time"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_TN3270_Bckt5_Resp_Time_Pct"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_OSA2_Missed_Packets"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_OSA2_Not_Stored_Frames"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_OSA3_Missed_Packets"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_OSA3_Not_Stored_Frames"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Sample_NetViewAuto_Cmd"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TSITDESC 
  WHERE SITNAME = "N3T_Sample_NetViewAuto_Msg"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

/* ------------------------------------------------------------------ */
/* Situation default template assignment and colors                   */
/* ------------------------------------------------------------------ */
DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Connection_Count";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_FTPS_InvalidSeq";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_FTPS_NetError";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_FTPS_ServerError";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_FTPS_SysError";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_FTPT_FileSysError";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_FTPT_NetError";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Fragmentation_Failure_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Fragmentation_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Input_Discard_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IP_Out_Disc";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Output_Discard_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Reassembly_Failure_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Reassembly_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Retransmission_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_TCP_Conn_Drop";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_TCP_In_Errs";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_TCP_Probes";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Throughput_Rate";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_UDP_Discard_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_OSA_Chan_PCI_Busy_Pct_5Min";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_OSA_Chan_Pro_Util_Pct_5Min";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Pct_Segs_Rexmit";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Pct_OO_Segments";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Pct_Datagrams_Discd";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Connections_in_Backlog";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Backlog_Conns_Rejected";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Pct_ECSA_Allocated_Stg";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Pct_Auth_Pvt_Allocated_Stg";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Pct_IP_In_Disc";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Pct_TCP_OO_Segs";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Conn_Pct_Datagrams_Discd";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Conn_Pct_Segs_Rexmit";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Conn_Pct_OO_Segments";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Conn_Connections_in_Backlog";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Conn_Current_Retransmits";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Conn_Backlog_Conns_Rejected";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Reject_Conn_WorkSpike";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Reject_Conn_Resource";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Reject_Conn";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Appl_Not_Accepting_Conn";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3V_Pct_ECSA_Allocated_Stg";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3V_EE_Pct_Packets_Rexmit";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3V_HPR_Throughput";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3V_HPR_Conn_Path_Switch";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3V_HPR_Conn_OOS_Buffers";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_OSA_Utilization";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IF_Xmt_Util";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IF_Rcv_Util";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IF_Util";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Dyn_Act_Fail";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Dyn_Act_Fail_IKE_TnR";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Dyn_Act_Fail_IKE_Tnl";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_IKE_Act_Fail";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Key_Msgs_Auth_Fail";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Key_Msgs_Invalid";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Key_Msgs_Replayed";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Key_Msgs_Rtrnsmttd";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Pkts_Denied_DENY";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_Pkts_Denied_Mismatch";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_QUICKMODE_Invalid";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_QUICKMODE_Replayed";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IPSec_QUICKMODE_Rtrnsmttd";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IP_Input_Discard_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_IP_Output_Discard_Pct";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_TCP_Flow_Controls";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_DLC_Accelerated_Bytes";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_DLC_Max_Staging_Queue_Depth";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_DLC_Read_Deferrals";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_DLC_Reads_Exhausted";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Interface_Bandwidth_Util";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Interface_Xmit_Rcv_Bytes";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Pct_IF_Pkt_Disc";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Pct_IF_Out_Err";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Pct_IF_In_Err";

DELETE FROM O4SRV.TTMPLSIT WHERE
NAME = "N3T_Pct_IF_Err";

DELETE FROM O4SRV.TTMPLSIT WHERE 
NAME = "N3T_OSA2_Missed_Packets";

DELETE FROM O4SRV.TTMPLSIT WHERE 
NAME = "N3T_OSA2_Not_Stored_Frames";

DELETE FROM O4SRV.TTMPLSIT WHERE 
NAME = "N3T_OSA3_Missed_Packets";

DELETE FROM O4SRV.TTMPLSIT WHERE 
NAME = "N3T_OSA3_Not_Stored_Frames";


/* ------------------------------------------------------------------ */
/* Delete Distributions                                               */
/* ------------------------------------------------------------------ */
DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Byte_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Datagram_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Retransmission_Count"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_TELNET_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_FTPD1_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_CPU_Pct_Critical"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_CPU_Pct_Warning"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_CSA_Pct_Below_16MB"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Byte_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Current_Retransmits"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Datagram_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Rnd_Trip_Time"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Rnd_Trip_Variance"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Connection_Count"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Device_Status_Active"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Device_Status_Inactive"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Fragmentation_Failure_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Fragmentation_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_FTPS_InvalidSeq"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_FTPS_NetError"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_FTPS_ServerError"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_FTPS_SysError"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_FTPT_FileSysError"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_FTPT_NetError"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Input_Discard_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_IP_Out_Disc"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Output_Discard_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Paging_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Reassembly_Failure_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Reassembly_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Retransmission_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_TCP_Conn_Drop"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_TCP_In_Errs"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_TCP_Probes"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Telnet_Pool_Usage_Critical"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Telnet_Pool_Usage_Warning"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Throughput_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Total_CSA_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_UDP_Discard_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_OSA_Chan_PCI_Busy_Pct_5Min"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_OSA_Chan_Pro_Util_Pct_5Min"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Pct_Segs_Rexmit"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Pct_OO_Segments"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Pct_Datagrams_Discd"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Connections_in_Backlog"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Backlog_Conns_Rejected"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Pct_ECSA_Allocated_Stg"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Pct_Auth_Pvt_Allocated_Stg"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Pct_IP_In_Disc"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Pct_TCP_OO_Segs"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Pct_Datagrams_Discd"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Pct_Segs_Rexmit"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Pct_OO_Segments"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Connections_in_Backlog"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Conn_Backlog_Conns_Rejected"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Reject_Conn_WorkSpike"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Reject_Conn_Resource"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Reject_Conn"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Appl_Not_Accepting_Conn"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_Pct_ECSA_Allocated_Stg"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_EE_Pct_Packets_Rexmit"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_HPR_Throughput"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_HPR_Conn_Path_Switch"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_HPR_Conn_OOS_Buffers"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_OSA_Utilization"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_IF_Xmt_Util"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_IF_Rcv_Util"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_IF_Util"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Pct_IF_Pkt_Disc"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Pct_IF_Out_Err"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Pct_IF_In_Err"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Pct_IF_Err"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_CPU_Pct_Critical"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_CPU_Pct_Warning"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_CSA_Pct_Below_16MB"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_Paging_Rate"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_Total_CSA_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_BuffPool_Buf_Avail"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_BuffPool_Buf_Expan_Lim_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_VTAM"
    AND OBJNAME = "N3V_BuffPool_Queue_Req"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_TN3270_Avg_IP_Resp_Time"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_TN3270_Avg_SNA_Resp_Time"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_TN3270_Avg_Tot_Resp_Time"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_TN3270_Bckt5_Resp_Time_Pct"
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_OSA2_Missed_Packets" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_OSA2_Not_Stored_Frames" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_OSA3_Missed_Packets" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_OSA3_Not_Stored_Frames" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Dyn_Act_Fail" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Dyn_Act_Fail_IKE_TnR" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Dyn_Act_Fail_IKE_Tnl" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_IKE_Act_Fail" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Key_Msgs_Auth_Fail" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Key_Msgs_Invalid" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Key_Msgs_Replayed" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Key_Msgs_Rtrnsmttd" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Pkts_Denied_DENY" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_Pkts_Denied_Mismatch" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_QUICKMODE_Invalid" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_QUICKMODE_Replayed" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IPSec_QUICKMODE_Rtrnsmttd" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IP_Input_Discard_Pct" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_IP_Output_Discard_Pct" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_TCP_Flow_Controls" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_DLC_Accelerated_Bytes" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_DLC_Max_Staging_Queue_Depth" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_DLC_Read_Deferrals" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_DLC_Reads_Exhausted" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_Interface_Bandwidth_Util" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL 
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP" 
    AND OBJNAME = "N3T_Interface_Xmit_Rcv_Bytes" 
    AND OBJCLASS = "5140"  
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Sample_NetViewAuto_Cmd" 
    AND OBJCLASS = "5140"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TOBJACCL
  WHERE NODEL = "*OMEGAMONXE_MAINFRAME_NTWK_TCP"
    AND OBJNAME = "N3T_Sample_NetViewAuto_Msg"
    AND OBJCLASS = "5140"
    AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
    AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

/* ------------------------------------------------------------------ */
/* End of data                                                        */
/* ------------------------------------------------------------------ */
